## pylint 2.15.10

=== doc/requirements.txt ===
Sphinx==5.1.1
sphinx-reredirects<1
myst-parser~=0.18
towncrier~=21.9
furo==2022.6.21
-e .

=== debian/changelog ===
pylint (2.15.10-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2023 00:57:05 -0500

pylint (2.15.9-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
    - run autopkgtest via autopkgtest-pkg-pybuild
  * debian/rules
    - exclude test_linter_with_unpickleable_plugins_is_pickleable test, fails
      when running in autopkgtest

 -- Sandro Tosi <morph@debian.org>  Sat, 31 Dec 2022 01:38:19 -0500

pylint (2.15.8-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - bump astroid b-d to >= 2.12.13
    - bump dill b-d to >= 0.3.6, needed for tests to pass with python 3.11;
      Closes: #1025322
    - bump Standards-Version to 4.6.1.0 (no changes needed)
  * debian/NEWS, debian/NEWS.Debian
    - remove NEWS, very ancient
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 10 Dec 2022 20:35:42 -0500

pylint (2.15.5-1) unstable; urgency=medium

  * New upstream release; Closes: #1021895
  * debian/control
    - bump b-d on astroid to >= 2.12.12

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Oct 2022 20:27:36 -0400

pylint (2.15.3-1) unstable; urgency=medium

  * New upstream release; Closes: #1019887
  * debian/patches/avoid-pip.patch
    - refresh patch
  * debian/patches/gh_issue_3198.patch
    - drop patch, no longer needed
  * debian/control
    - switch to pyproject pybuild plugin
    - add dill, tomlkit (build) and sphinx-reredirects, myst-parser (doc) to b-d
    - bump versioned b-d on astroid to >= 2.12.10
  * debian/patches/docs-no-furo.patch
    - dont use the un-packaged furo theme in doc
  * debian/patches/PR7521.patch
    - make sure upstream dont change the `.pybuild` directory name during tests
  * debian/patches/docs-disable-warnings-as-errors.patch
    - dont treat warnings as errors when building doc
  * debian/rules
    - build doc using the `build-html` target
    - stop installing changelog, removed upstream
    - skip test__test_environ_pythonpath_no_arg during build
  * Update upstream website URL

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Sep 2022 02:34:54 -0400

=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-astroid (>= 2.12.13),
               python3-dill (>= 0.3.6),
               python3-docs-theme,
               python3-git <!nodoc>,
               python3-isort,
               python3-mccabe,
               python3-myst-parser <!nodoc>,
               python3-platformdirs <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-reredirects <!nodoc>,
               python3-toml,
               python3-tomlkit,
               python3-typing-extensions (>= 3.10.0),
Standards-Version: 4.6.2.0
Rules-Requires-Root: no
Homepage: https://pylint.pycqa.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
Testsuite: autopkgtest-pkg-pybuild

Package: pylint-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Breaks: pylint (<< 2),
Replaces: pylint (<< 2),
Description: Python code static checker and UML diagram generator (documentation)
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package contains documentation for pylint.

Package: pylint
Architecture: all
Depends: python3-astroid (>= 2.4.0),
         python3-isort,
         python3-logilab-common (>= 0.19.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-tk,
Suggests: pylint-doc,
          python3-mccabe,
Breaks: python3-pylint-django (<< 2.0),
        python3-pylint-plugin-utils (<< 0.4),
        python3-pytest-pylint (<< 0.10),
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
# disable until https://github.com/PyCQA/pylint/issues/5246 is fixed
# skip test_linter_with_unpickleable_plugins_is_pickleable, fails autopkgtest for some reason
export PYBUILD_TEST_ARGS=-vvvv -k 'not test_pkginfo and not test_do_not_import_files_from_local_directory and not test_import_plugin_from_local_directory_if_pythonpath_cwd and not test_can_list_directories_without_dunder_init and not test_fail_on_exit_code and not test__test_environ_pythonpath_no_arg and not test_linter_with_unpickleable_plugins_is_pickleable'
export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

%:
	dh $@ --buildsystem pybuild --with python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	PATH=$(CURDIR):$$PATH $(MAKE) -C doc build-html PYTHONPATH=$(CURDIR) PYTHON=python3

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint-doc examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppylint-doc doc/_build/html

override_dh_missing:
	dh_missing --fail-missing

## pylint 2.16.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PIP           = pip
PAPER         =
BUILDDIR      = _build
PYTHON        = /usr/bin/env python
PYTHONPATH    =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees -T -W --keep-going $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) -n .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/* user_guide/messages/convention user_guide/messages/error \
	  user_guide/messages/fatal user_guide/messages/information user_guide/messages/refactor \
	  user_guide/messages/warning technical_reference/extensions.rst technical_reference/features.rst

install-dependencies:
	@echo "Install dependencies"
	cd ../ && $(PIP) install -r doc/requirements.txt && cd doc/

build-html:
	@echo "If you did not run 'make install-dependencies', you need to."
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo "HTML build complete"

html: install-dependencies build-html
	$(SPHINXBUILD) -b linkcheck -q $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."


dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pylint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pylint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pylint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pylint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck -q $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== doc/requirements.txt ===
Sphinx==5.3.0
sphinx-reredirects<1
myst-parser~=0.18
towncrier~=22.12
furo==2022.12.7
-e .

=== debian/changelog ===
pylint (2.16.2-2) unstable; urgency=medium

  * debian/rules
    - reorg how we skip tests, removing the ones now fixed
  * debian/control
    - bump b-d on astroid to >= 2.14.2; Closes: #1032043

 -- Sandro Tosi <morph@debian.org>  Tue, 28 Feb 2023 01:04:13 -0500

pylint (2.16.2-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - tests: only limit to tests/ directory for discovery
    - tests: skip test_allow_reexport_package, test_writing_minimal_file
  * debian/patches/PR7521.patch
    - drop patch, merged upstream
  * stop installing emacs script, removed upstream; Closes: #563000, #613646,
    #860983

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Feb 2023 20:58:26 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 2.12.13),
+               python3-astroid (>= 2.14.2),
                python3-dill (>= 0.3.6),
                python3-docs-theme,
                python3-git <!nodoc>,

## pylint 2.17.4

=== doc/requirements.txt ===
Sphinx==6.1.3
sphinx-reredirects<1
myst-parser~=0.19
towncrier~=22.12
furo==2022.12.7
-e .

=== debian/changelog ===
pylint (2.17.4-1) unstable; urgency=medium

  * New upstream release; Closes: #1038258
  * debian/control
    - bump b-d on astroid to >= 2.15.4

 -- Sandro Tosi <morph@debian.org>  Wed, 26 Jul 2023 03:19:25 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 2.14.2),
+               python3-astroid (>= 2.15.4),
                python3-dill (>= 0.3.6),
                python3-docs-theme,
                python3-git <!nodoc>,

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,16 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
-# disable until https://github.com/PyCQA/pylint/issues/5246 is fixed
 # skip test_linter_with_unpickleable_plugins_is_pickleable, fails autopkgtest for some reason
-export PYBUILD_TEST_ARGS=-vvvv -k 'not test_pkginfo and not test_do_not_import_files_from_local_directory and not test_import_plugin_from_local_directory_if_pythonpath_cwd and not test_can_list_directories_without_dunder_init and not test_fail_on_exit_code and not test__test_environ_pythonpath_no_arg and not test_linter_with_unpickleable_plugins_is_pickleable'
+# skip test_allow_reexport_package test_writing_minimal_file, for https://github.com/PyCQA/pylint/issues/8342
+export PYBUILD_TEST_ARGS=-vvvv \
+                         -k '\
+                             not test_do_not_import_files_from_local_directory \
+                         and not test_linter_with_unpickleable_plugins_is_pickleable \
+                         and not test_allow_reexport_package \
+                         and not test_writing_minimal_file \
+                         ' \
+                         {build_dir}/tests
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

## pylint 3.0.3

=== doc/Makefile ===
# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# --------------------------------
# This part is specific to pylint.
#---------------------------------

# Set PYLINT_SPHINX_FATAL_WARNINGS= on the command line to restore the default.
PYLINT_SPHINX_FATAL_WARNINGS = -W --keep-going

# Do not use O, we abuse it for internal purposes.
O = -d $(BUILDDIR)/doctrees -T $(PYLINT_SPHINX_FATAL_WARNINGS) -n

.PHONY clean: remove-generated-messages
remove-generated-messages:
	rm -rf user_guide/messages/convention user_guide/messages/error \
	  user_guide/messages/fatal user_guide/messages/information user_guide/messages/refactor \
	  user_guide/messages/warning

# Generated by exts/*.py but kept in the VCS for easier review of changes:
.PHONY: distclean
distclean: clean
	rm -f user_guide/checkers/extensions.rst user_guide/checkers/features.rst \
	  user_guide/configuration/all-options.rst user_guide/messages/messages_overview.rst

# Set PIP=true on the command line to skip installation of dependencies.
PIP = pip

.PHONY html: install-dependencies
install-dependencies:
	@echo "Install dependencies"
	cd ../ && $(PIP) install -r doc/requirements.txt

=== doc/requirements.txt ===
Sphinx==7.2.6
sphinx-reredirects<1
towncrier~=23.6
furo==2023.9.10
-e .

=== debian/changelog ===
pylint (3.0.3-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 02:34:39 -0500

pylint (3.0.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #1058718, #1058230, #1056439
  * stop building the -doc package, and so drop patches too
  * debian/pylint.install
    - delete, no longer needed
  * debian/control
    - add git, platformdirs to b-d, needed by tests
    - bump deps on astroid to >= 3.0.1; Closes: #1060894
  * update github organization from PyCQA to pylint-dev
  * debian/rules
    - re-enable some tests now fixed upstream

  [ Nicolas Boulenguez ]
  * debian/pylint.conffiles
    - remove emacs script on upgrade. Closes: #1032687

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Jan 2024 02:11:07 -0500

=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-astroid (>= 3.0.1),
               python3-dill (>= 0.3.6),
               python3-git <!nocheck>,
               python3-isort,
               python3-mccabe,
               python3-platformdirs <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-benchmark <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools,
               python3-sphinx,
               python3-toml,
               python3-tomlkit,
               python3-typing-extensions (>= 3.10.0),
Standards-Version: 4.6.2.0
Rules-Requires-Root: no
Homepage: https://pylint.pycqa.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
Testsuite: autopkgtest-pkg-pybuild

Package: pylint
Architecture: all
Depends: python3-astroid (>= 3.0.1),
         python3-isort,
         python3-logilab-common (>= 0.19.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-tk,
Suggests: python3-mccabe,
Breaks: python3-pylint-django (<< 2.0),
        python3-pylint-plugin-utils (<< 0.4),
        python3-pytest-pylint (<< 0.10),
Conflicts: pylint-doc
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
export PYBUILD_TEST_ARGS=-vvvv \
                         -k '\
                             not test_do_not_import_files_from_local_directory \
                         ' \
                         {build_dir}/tests
export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_build:
	dh_auto_build

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst

override_dh_missing:
	dh_missing --fail-missing

## pylint 3.2.2

=== debian/changelog ===
pylint (3.2.2-2) unstable; urgency=medium

  * Bump pyastroid minimal required version to 8.2.x.

 -- Alexandre Detiste <tchet@debian.org>  Thu, 06 Jun 2024 08:04:42 +0200

pylint (3.2.2-1) unstable; urgency=medium

  [routine-update]
  * New upstream version
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme
  * Set upstream metadata fields: Security-Contact.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 04 Jun 2024 21:32:06 +0200

pylint (3.1.0-2) unstable; urgency=medium

  * Adopt package (Closes: #1065241)
  * Disable 4 syntax check failing with Python 3.12

 -- Alexandre Detiste <tchet@debian.org>  Tue, 07 May 2024 08:30:17 +0200

pylint (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0 (Closes: #1066755)
  * disable failing test to untangle astroid migration
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Apr 2024 23:12:20 +0200

## pylint 3.2.6

=== doc/requirements.txt ===
Sphinx==7.3.7
sphinx-reredirects<1
towncrier~=23.11
furo==2024.5.6
-e .

=== debian/changelog ===
pylint (3.2.6-1) unstable; urgency=medium

  * New upstream version 3.2.6

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Aug 2024 12:32:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: pylint
+Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 3.0.1),
+               python3-astroid (>= 3.2.0),
                python3-dill (>= 0.3.6),
                python3-git <!nocheck>,
                python3-isort,
@@ -18,27 +21,23 @@
                python3-sphinx,
                python3-toml,
                python3-tomlkit,
-               python3-typing-extensions (>= 3.10.0),
-Standards-Version: 4.6.2.0
+               python3-typing-extensions (>= 3.10.0)
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
+Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
+Homepage: https://pylint.pycqa.org/
 Rules-Requires-Root: no
-Homepage: https://pylint.pycqa.org/
-Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
-Testsuite: autopkgtest-pkg-pybuild
 
 Package: pylint
 Architecture: all
 Depends: python3-astroid (>= 3.0.1),
          python3-isort,
-         python3-logilab-common (>= 0.19.0),
+         python3-logilab-common,
          python3-setuptools,
          ${misc:Depends},
-         ${python3:Depends},
-Recommends: python3-tk,
-Suggests: python3-mccabe,
-Breaks: python3-pylint-django (<< 2.0),
-        python3-pylint-plugin-utils (<< 0.4),
-        python3-pytest-pylint (<< 0.10),
+         ${python3:Depends}
+Recommends: python3-tk
+Suggests: python3-mccabe
 Conflicts: pylint-doc
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming

## pylint 3.2.7

=== debian/changelog ===
pylint (3.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sat, 07 Sep 2024 23:08:11 +0100

## pylint 3.3.1

=== debian/changelog ===
pylint (3.3.1-2) unstable; urgency=medium

  * Team upload.
  * Override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/.  These files are pylint test
    input and are not actually executed (closes: #1084621).

 -- Colin Watson <cjwatson@debian.org>  Fri, 11 Oct 2024 16:27:00 +0100

pylint (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Oct 2024 22:50:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pylint
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Alexandre Detiste <tchet@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild

## pylint 3.3.3

=== debian/changelog ===
pylint (3.3.3-2) unstable; urgency=medium

  * Team upload.
  * Remove runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Jan 2025 13:47:33 +0100

pylint (3.3.3-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * New upstream release (3.3.2).

  [ Colin Watson ]
  * Actually override Lintian uses-deprecated-python-stdlib tags in
    doc/data/messages/ and tests/functional/ (mistakenly not done in last
    upload due to an omitted "git add").
  * New upstream release (3.3.3; closes: #1089758, #1091029).

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Dec 2024 13:18:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-astroid (>= 3.2.0),
+               python3-astroid (>= 3.3.8),
                python3-dill (>= 0.3.6),
                python3-git <!nocheck>,
                python3-isort,
@@ -33,7 +33,6 @@
 Depends: python3-astroid (>= 3.0.1),
          python3-isort,
          python3-logilab-common,
-         python3-setuptools,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-tk

## pylint 3.3.4

=== debian/changelog ===
pylint (3.3.4-2) unstable; urgency=medium

  * Drop build-dep on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Wed, 14 May 2025 17:07:50 +0200

pylint (3.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Switch to X-Style: black.

  [ Colin Watson ]
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 27 Feb 2025 11:22:28 +0000

=== debian/control ===
Source: pylint
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-astroid (>= 3.3.8),
 python3-dill (>= 0.3.6),
 python3-git <!nocheck>,
 python3-isort,
 python3-mccabe,
 python3-platformdirs <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-benchmark <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-tomlkit,
 python3-typing-extensions (>= 3.10.0),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/pylint
Vcs-Git: https://salsa.debian.org/python-team/packages/pylint.git
Homepage: https://pylint.pycqa.org/
Rules-Requires-Root: no
X-Style: black

Package: pylint
Architecture: all
Depends:
 python3-astroid (>= 3.0.1),
 python3-isort,
 python3-logilab-common,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-tk,
Suggests:
 python3-mccabe,
Conflicts:
 pylint-doc,
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,44 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# https://ci.debian.net/packages/p/pylint/testing/amd64/45931688/
+# already a lot better
+
+# wrong_import_order fails in Salsa CI
+
 export PYBUILD_BEFORE_TEST=rm -f {dir}/tests/functional/u/unused_typing_imports.py {dir}/tests/functional/m/missing_final_newline.py
 export PYBUILD_TEST_ARGS=-vvvv \
                          -k '\
                              not test_do_not_import_files_from_local_directory \
+                         and not test_relative_beyond_top_level_two \
+                         and not test_relative_beyond_top_level_three \
+                         and not test_relative_beyond_top_level_four \
+                         and not inconsistent_returns \
+                         and not invalid_all_format_valid_5 \
+                         and not invalid_all_format_valid_6 \
+                         and not regression_4680 \
+                         and not unreachable \
+                         and not undefined_variable_typing \
+                         and not unused_import_assigned_to \
+                         and not use_yield_from \
+                         and not used_before_assignment_else_return \
+                         and not test_package \
+                         and not test_preferred_module \
+                         and not test_allow_reexport_package \
+                         and not test_package_all \
+                         and not wrong_import_order \
+                         and not import_error \
+                         and not syntax_error \
+                         and not test_json_report_when_file_has_syntax_error \
+                         and not test_stdin_syntax_error \
+                         and not used_before_assignment \
                          ' \
                          {build_dir}/tests
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot
 
 %:
-	dh $@ --buildsystem pybuild --with python3
+	dh $@ --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pylint-$1.tar.gz%" \
https://github.com/pylint-dev/pylint/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## pylint 4.0.4

=== debian/changelog ===
pylint (4.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Add Python 3.14 support (closes: #1123172).

 -- Colin Watson <cjwatson@debian.org>  Wed, 17 Dec 2025 23:36:18 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
- python3-astroid (>= 3.3.8),
- python3-dill (>= 0.3.6),
+ python3-astroid (>= 4.0.2),
+ python3-dill (>= 0.3.7),
  python3-git <!nocheck>,
  python3-isort,
  python3-mccabe,
@@ -33,7 +33,7 @@
 Package: pylint
 Architecture: all
 Depends:
- python3-astroid (>= 3.0.1),
+ python3-astroid (>= 4.0.2),
  python3-isort,
  python3-logilab-common,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,12 @@
                          and not used_before_assignment \
                          ' \
                          {build_dir}/tests
+ifeq ($(PYBUILD_AUTOPKGTEST),1)
+# Expects "Using config file pylint/testutils/testing_pylintrc", gets "Using
+# config file
+# /usr/lib/python3/dist-packages/pylint/testutils/testing_pylintrc".
+PYBUILD_TEST_ARGS += --deselect tests/test_self.py::TestRunTC::test_progress_reporting
+endif
 export PYBUILD_AFTER_TEST=rm -rf {dir}/.pytest_cache
 export PYBUILD_BEFORE_INSTALL=rm -rf {build_dir}/classes.dot

## pylint junit-0.3.0

=== requirements.txt ===
pylint
junit_xml

## pylint runner-0.6.0

=== requirements.txt ===
colorama
pylint
